#!/bin/sh -e

repo_name_from_manual_dir() {
	case "$1" in
		"OsmoBSC") echo "osmo-bsc";;
		"OsmoBTS") echo "osmo-bts";;
		"OsmoGGSN") echo "osmo-ggsn";;
		"OsmoGSMTester") echo "osmo-gsm-tester";;
		"OsmoHLR") echo "osmo-hlr";;
		"OsmoMGCP") echo "osmo-st-mgcp";;
		"OsmoMGW") echo "osmo-mgw";;
		"OsmoMSC") echo "osmo-msc";;
		"OsmoNAT") echo "mgw_nat";;
		"OsmoNITB") echo "openbsc";;
		"OsmoPCU") echo "osmo-pcu";;
		"OsmoSGSN") echo "osmo-sgsn";;
		"OsmoSIPConnector") echo "osmo-sip-connector";;
		"OsmoSTP") echo "libosmo-sccp";;
		"OsmoTRX") echo "osmo-trx";;
		"OsmocomBB") echo "osmocom-bb";;
	esac
}

if [ "$#" != 1 ]; then
	echo "usage: $(basename $0) src-path"
	exit 1
fi

src="$1"
scriptdir="$(realpath $(dirname "$0"))"

# First check if all source repos are cloned
cd "$src/osmo-gsm-manuals"
for i in Osmo*; do
	repo="$(repo_name_from_manual_dir $i)"
	if [ -z "$repo" ]; then
		echo "$i: NOT MOVING"
	else
		if [ -d "$src/$repo" ]; then
			echo "$i => $repo"
		else
			echo "$i: missing: $src/$repo"
			exit 1
		fi
	fi
done

# Move the manuals of each one
for i in Osmo*; do
	repo="$(repo_name_from_manual_dir $i)"
	if [ -z "$repo" ]; then
		continue
	else
		"$scriptdir"/move_one_project.sh "$src" "$i" "$repo"
	fi
done

echo "DONE."
